> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hackgate.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Post apipieruncheck



## OpenAPI

````yaml https://api-admin.hackgate.io/swagger/v2/swagger.json post /api/PIE/runCheck
openapi: 3.0.1
info:
  title: HackGATE Admin API
  description: API for the HackGATE Admin Center and organization API key integrations.
  version: v2
servers: []
security:
  - Bearer: []
paths:
  /api/PIE/runCheck:
    post:
      tags:
        - PIE
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/PIECheckRequestDTO'
          text/json:
            schema:
              $ref: '#/components/schemas/PIECheckRequestDTO'
          application/*+json:
            schema:
              $ref: '#/components/schemas/PIECheckRequestDTO'
      responses:
        '200':
          description: OK
components:
  schemas:
    PIECheckRequestDTO:
      type: object
      properties:
        id:
          type: string
          nullable: true
        url:
          type: string
          nullable: true
        gte:
          type: string
          nullable: true
        lte:
          type: string
          nullable: true
      additionalProperties: false
  securitySchemes:
    Bearer:
      type: http
      description: >-
        Authorization header using the Bearer scheme. Use either a Clerk JWT
        from the Admin Center frontend or a Clerk Organization API key.


        Examples:

        Bearer eyJhbGciOi...

        Bearer ak_live_...
      scheme: bearer
      bearerFormat: JWT or Clerk API Key

````